# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp Class Reference

Describes an interpreter for GeneralExpressions,
GeneralFunctions, and GeneralRelations defined in
package Expr.
.

`#include <ExprIntrp.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Private Member Functions

static Standard_EXPORT Standard_Boolean | Parse (const Handle(ExprIntrp_Generator)&gen, const TCollection_AsciiString &str)

## Member Function Documentation

void ExprIntrp::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ExprIntrp::operator new | ( | size_t | size | ) | `[inline]`

void* ExprIntrp::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean ExprIntrp::Parse | ( | const Handle(ExprIntrp_Generator)& | gen,
|  | const TCollection_AsciiString & | str
| ) | `[static, private]`

The documentation for this class was generated from the following file:

- ExprIntrp.hxx